Bug 1291011 - [abrt] evolution: camel_folder_change_info_free(): evolution killed by SIGSEGV
[abrt] evolution: camel_folder_change_info_free(): evolution killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-rss (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7d6292a1ec6ed28d2be0c7dca86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 13:39 EST by Phoenix
Modified: 2016-12-20 11:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.55 KB, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: core_backtrace (2.30 KB, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: dso_list (26.26 KB, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: environ (1.62 KB, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 13:39 EST, Phoenix
no flags Details
File: maps (126.80 KB, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details
File: open_fds (3.97 KB, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details
File: var_log_messages (292 bytes, text/plain)
2015-12-12 13:40 EST, Phoenix
no flags Details

  None (edit)
Description Phoenix 2015-12-12 13:39:30 EST
Description of problem:
i've added the Evolution rss addon from GNOME Software and after adding an rss feed through the newly added rss entry in the Evolution's options screen i launched the newly added Evolution rss app entry from the app picker and Evolution crashed

thank you.

Version-Release number of selected component:
evolution-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/evolution
crash_function: camel_folder_change_info_free
executable:     /usr/bin/evolution
global_pid:     5825
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 camel_folder_change_info_free at camel-folder.c:4545
 #1 folder_emit_changed_cb at camel-folder.c:187
 #6 gtk_main at gtkmain.c:1241
Comment 1 Phoenix 2015-12-12 13:39:42 EST
Created attachment 1105119 [details]
File: backtrace
Comment 2 Phoenix 2015-12-12 13:39:45 EST
Created attachment 1105120 [details]
File: cgroup
Comment 3 Phoenix 2015-12-12 13:39:47 EST
Created attachment 1105121 [details]
File: core_backtrace
Comment 4 Phoenix 2015-12-12 13:39:50 EST
Created attachment 1105122 [details]
File: dso_list
Comment 5 Phoenix 2015-12-12 13:39:52 EST
Created attachment 1105123 [details]
File: environ
Comment 6 Phoenix 2015-12-12 13:39:54 EST
Created attachment 1105124 [details]
File: exploitable
Comment 7 Phoenix 2015-12-12 13:39:56 EST
Created attachment 1105125 [details]
File: limits
Comment 8 Phoenix 2015-12-12 13:40:03 EST
Created attachment 1105126 [details]
File: maps
Comment 9 Phoenix 2015-12-12 13:40:06 EST
Created attachment 1105127 [details]
File: mountinfo
Comment 10 Phoenix 2015-12-12 13:40:08 EST
Created attachment 1105128 [details]
File: namespaces
Comment 11 Phoenix 2015-12-12 13:40:10 EST
Created attachment 1105129 [details]
File: open_fds
Comment 12 Phoenix 2015-12-12 13:40:12 EST
Created attachment 1105130 [details]
File: proc_pid_status
Comment 13 Phoenix 2015-12-12 13:40:14 EST
Created attachment 1105131 [details]
File: var_log_messages
Comment 14 Milan Crha 2015-12-14 10:26:48 EST
Thanks for a bug report. This is new to me. I thought it is related to a known issue of the evolution-data-server unreffing message infos multiple times in an IMAPx code, more than it should, which caused memory corruption, but you have installed fixed evolution-data-server, thus it's not it (even it's in IMAPx code, it could strike back anywhere).

I'm moving this to the evolution-rss for further investigation. Its version is evolution-rss-1:0.3.95-4.fc23.x86_64, according to dso_list.
Comment 15 Milan Crha 2015-12-14 10:30:48 EST
I forgot to add, it would be eventually helpful if you could reproduce the crash under valgrind, if it's reproducible at all, to see whether it'll claim anything useful. The valgrind command looks like:

   $ G_SLICE=always-malloc valgrind evolution &>log.txt

Make sure you've installed debuginfo packages for any evolution* package [1] of the same version as the binary package, thus the valgrind log contains proper information. Also note that the valgrind can log about certain issues and keep the application running, thus even if the evolution run under valgrind will not crash the log can still contain valuable information. Evolution will be very slow under valgrind, due to all the memory checking.

[1] $ rpm -qa | grep evolution
Comment 16 Phoenix 2015-12-14 22:24:12 EST
Hi

After reporting the bug i've deinstalled the Evolution RSS package and instead installed the Liferea application for reading RSS feeds.

However after reading your reply i reinstalled the Evolution RSS package out of curiosity and i was able to reproduce the crash and i will tell you exactly how since i failed to mention a step which now i'm certain that it is the one that triggers the crash.

Alright now here is how it goes

1: Launch "Evolution RSS"
2: Menu--"Edit"-"Prefrences"
3: "News and Blogs" Entry
4: Tab--"Feeds" Add what ever news feed
Note: Step "5" is going to trigger the bug
5: Tab--"Setup" then check mark "Check for new articles at startup" and finally press the bottom close button.

And it seems that this can be done only once per "Evolution RSS" installation.

Thank you for your time.
Comment 17 Phoenix 2015-12-15 08:09:44 EST
just wanted to add that i found that the evolution rss addon does make evolution unstable in general and that i am going to remove the rss addon.
Comment 18 Fedora End Of Life 2016-11-24 09:11:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 11:57:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.